<?php  
######DATENSCHUTZ-TOOL ##################
/*
::::    ::::  :::    :::   ::::::::::: ::::::::::: ::::::::  
+:+:+: :+:+:+ :+:    :+:       :+:         :+:    :+:    :+: 
+:+ +:+:+ +:+  +:+  +:+        +:+         +:+    +:+        
+#+  +:+  +#+   +#++:+         +#+         +#+    +#++:++#++ 
+#+       +#+  +#+  +#+        +#+         +#+           +#+ 
#+#       #+# #+#    #+#       #+#         #+#    #+#    #+# 
###       ### ###    ###   ###########     ###     ########  
*/
#		Autor: Max Schulte-Derne						#
#		Version: 1.0									#
#		Datum: Mai 2018									#
#########################################################

include ("config.php");
include ("mysql.inc.php");
?>
<!doctype html>
<html>
<?php include ('head.php');?>

<body>
  
<nav>
	<ul>
    <li><a style="border-right:solid 1px rgba(255,255,255,1.00)" href="tom.php">TOMs [<?=cnt("`tom_vorlagen`", "WHERE `id` != '0'")   ?>]</a></li>
    <li><a href="<?=$baseURL?>/tom.php?action=anlegen">Frage anlegen</a></li>
    <li><a href="<?=$baseURL?>/tom.php?action=dokumente">Alle Dokumente der Toms</a></li>
    </ul>
</nav>


<?php

switch($_GET['action']){


//TOM bearbeiten

	  case 'edit';
	  if(empty($_POST)){
         
		 
		$get = fetch(qry("SELECT tom_vorlagen.*, tom_themenblock.themenblock AS TB_Name 
							FROM tom_vorlagen 
							LEFT JOIN tom_themenblock 
							ON tom_vorlagen.themenblock_id = tom_themenblock.themenblock_id 
							WHERE tom_vorlagen.id = '".intval($_GET['id'])."'"));
	  		
	  
	   echo 'FrageID: '.$get['id'].'<br><br><form action="tom.php?action=edit&amp;id='.$get['id'].'" method="post" >
				Themenblock: <b>'.$get['TB_Name'].'</b><br><br>
				<fieldset>
				<legend>Frage/ Maßnahme:</legend>
		   		   <textarea name="frage" cols="150" rows="10" style="width: 751px; height: 100px;">'.$get['frage'].'</textarea><br><br>
		   </fieldset>
		   <br><br>
		   <fieldset>
				<legend>Bemerkung Begründung:</legend>					
		   		   <textarea name="bemerkung_begruendung" cols="150" rows="10" style="width: 751px; height: 100px;">'.$get['bemerkung_begruendung'].'</textarea><br><br>
		   </fieldset>
		   <br><br>
				<fieldset>
				<legend>Empfehlung:</legend>
		   		   <textarea name="empfehlung" cols="150" rows="10" style="width: 751px; height: 100px;">'.$get['empfehlung'].'</textarea><br><br>
		  		</fieldset>
				<input type="submit" value="Speichern">
			</form>';
			

		}else{
			if (!empty($_POST['frage'])){
				qry("UPDATE `tom_vorlagen`
					SET 
					`frage`						= '".$_POST['frage']."',
					`empfehlung`				= '".$_POST['empfehlung']."',
					`bemerkung_begruendung`		= '".$_POST['bemerkung_begruendung']."',
					`geaendert`					= '".time()."'
					WHERE `id` = '".intval($_GET['id'])."'");
					
					
			// Frage bei allen Kunden in der Datenbank anlegen tom_kunden
						
							qry("UPDATE `tom_kunden`
							SET 
								`frage`						= '".$_POST['frage']."',
								`empfehlung`				= '".$_POST['empfehlung']."',
								`bemerkung_begruendung`		= '".$_POST['bemerkung_begruendung']."',
								`geaendert`					= '".time()."'
							WHERE `frage_id` = '".intval($_GET['id'])."' AND `status` = '6' ");

			
			
					
					header('Location: '.$baseURL.'/tom.php');
			}
		}
	  
	  break;
	  
//TOM loeschen
		case 'delete';
			array_map('unlink', glob('uploads/tom_vorlagen/'.$_GET['id'].'/*'));
			rmdir('uploads/tom_vorlagen/'.$_GET['id']);
        	qry("DELETE FROM `tom_vorlagen` WHERE `id` = '".$_GET['id']."'");
			qry("DELETE FROM `dokumente` WHERE `zuordnung` = '0' AND `zuordnung_tom_frage` = '".$_GET['id']."'");
			qry("DELETE FROM `tom_kunden` WHERE `frage_id` = '".$_GET['id']."' AND `status` = '6'");
			
			
			
			header('Location: '.$baseURL.'/tom.php');
		break;



	  case 'anlegen';
//TOM anlegen	  
	  	if(empty($_POST)){
				$qry = qry("SELECT tom_vorlagen.themenblock_id AS Tom_Volagen, tom_themenblock.themenblock AS TB_Name 
							FROM tom_vorlagen 
							LEFT JOIN tom_themenblock 
							ON tom_vorlagen.themenblock_id = tom_themenblock.themenblock_id GROUP BY TB_Name");
							
							
				if(!empty($qry)){
					while($get = fetch($qry)){
						$themenblock_option .= '<option value="'.$get["Tom_Volagen"].'">'.$get["TB_Name"].'</option>'."\n";
						$anzahl_fragen_themenblock++;
					}
				}
			  
	   echo '<form action="tom.php?action=anlegen" method="post" enctype="multipart/form-data" >
	   			<br>
				Aus '.$anzahl_fragen_themenblock.' Themenblocks wählen: <select name="themenblock_id" >'.$themenblock_option.'</select><br><br>
<!--ODER neuen Themenblock anlegen: <input type="text" name="themenblock_neu" size="50" placeholder="ZZ NAME"><br><br>-->
 				<fieldset>
				
				<legend>Frage/ Maßnahme:</legend>
		   		   <textarea name="frage" cols="150" rows="10" style="width: 751px; height: 180px;"></textarea>
		  		</fieldset>
				<br><br>
				<fieldset>
				<legend>Bemerkung Begründung:</legend>					
		   		   <textarea name="bemerkung_begruendung" cols="150" rows="10" style="width: 751px; height: 180px;"></textarea>
			   </fieldset>
			   <br><br>
				<fieldset>
				<legend>Empfehlung:</legend>
		   		   <textarea name="empfehlung" cols="150" rows="10" style="width: 751px; height: 180px;"></textarea>
		  		</fieldset>
				<input type="submit" value="Frage Anlegen" style="padding: 10px">
			</form>';
  
			  
			
		}else{
			

			
			$get_letzte_id_themenblockfrage = fetch(qry("SELECT MAX(themenfrage_id) FROM `tom_vorlagen` WHERE `themenblock_id` = '".$_POST['themenblock_id']."'"));
			
			$letzte_id_themenblockfrage = $get_letzte_id_themenblockfrage['MAX(themenfrage_id)'] +1;
			
			if ($_POST['frage'] != ""){
				qry("INSERT INTO `tom_vorlagen`
					SET 
					`themenblock_id`			= '".$_POST['themenblock_id']."',
					`themenfrage_id`			= '".$letzte_id_themenblockfrage."',
					`frage`						= '".$_POST['frage']."',
					`empfehlung`				= '".$_POST['empfehlung']."',
					`bemerkung_begruendung`		= '".$_POST['bemerkung_begruendung']."',
					`angelegt`					= '".time()."'");
					
					
				$get_tom_vorlage = fetch(qry("SELECT * FROM `tom_vorlagen` 
												WHERE `themenfrage_id` = '".$letzte_id_themenblockfrage."' 
												AND `themenblock_id` = '".$_POST['themenblock_id']."'"));
					
						// Frage bei allen Kunden in der Datenbank anlegen
						
						$qry_k = qry("SELECT * FROM `kunden`");
						
						while($get_kunden = fetch($qry_k)){
						
							qry("INSERT INTO `tom_kunden`
							SET 
							`kunden_id`			= '".$get_kunden['id']."',
							`frage_id`			= '".$get_tom_vorlage['id']."',
							`frage`				= '".$get_tom_vorlage['frage']."',
							`bemerkung_begruendung`	= '".$get_tom_vorlage['bemerkung_begruendung']."',
							`themenblock_id`		= '".$get_tom_vorlage['themenblock_id']."',
							`themenfrage_id`		= '".$get_tom_vorlage['themenfrage_id']."',
							`empfehlung`			= '".$get_tom_vorlage['empfehlung']."',					
							`angelegt`				= '".time()."',
							`status`				= '6'");
					
						}

			}else{
				echo "Keine Daten";
			}  echo $letzte;
			header('Location: '.$baseURL.'/tom.php');
		}	  
	  break;
	  
//TOM Dokumente	  
	  	  case 'dokumente';
	  	  
		  if(empty($_POST)){
			  
			  	 if($_GET['dateiloeschen'] == 1){
		  
					  unlink('uploads/tom_vorlagen/'.$_GET['frage_id'].'/'.$_GET['datei_name']);
					  qry("DELETE FROM `dokumente` WHERE `id` = '".intval($_GET['datei_id'])."'");
					  
					  header('Location: '.$baseURL.'/tom.php?action=dokumente&id='.$_GET['frage_id'].'');
					  }
			
			
			if(empty($_GET['id'])){
			$qry = qry("SELECT tom_vorlagen.*, tom_themenblock.themenblock AS TB_Name 
							FROM tom_vorlagen 
							LEFT JOIN tom_themenblock 
							ON tom_vorlagen.themenblock_id = tom_themenblock.themenblock_id");
				if(!empty($qry)){
					while($get = fetch($qry)){
						$themenblock_option .= '<option value="'.$get["id"].'">'.$get["TB_Name"].' - ('.$get["themenfrage_id"].') '.$get["frage"].'</option>'."\n";
						
					}
				}
			}
			
			if(!empty($_GET['id'])){
				$get = fetch(qry("SELECT tom_vorlagen.*, tom_themenblock.themenblock AS TB_Name 
							FROM tom_vorlagen 
							LEFT JOIN tom_themenblock 
							ON tom_vorlagen.themenblock_id = tom_themenblock.themenblock_id WHERE tom_vorlagen.id = '".intval($_GET['id'])."'"));
					
					$themenblock_option .= '<option value="'.$_GET['id'].'">('.$_GET['id'].') - '.$get["TB_Name"].' - ('.$get["themenfrage_id"].') '.$get["frage"].'</option>'."\n";
				}
			
			
			
			echo '<h1>Dateien für die Tom Nr.'.$_GET['id'].'  hinzufügen</h1><br><br>
			<form action="tom.php?action=dokumente&id='.$_GET['id'].'" method="post" enctype="multipart/form-data" >
		   <label for="beschreibung">Beschreibung: </label><input type="text" name="beschreibung"><br><br>
		   <label for="dateiprefix">Deteiprefix: XXX_dateiname.endung </label><input type="text" name="dateiprefix" placeholder="XXX"><br><br>
		   <select name="zuordnung_tom_frage">'.$themenblock_option.'</select><br><br>
		   <input name="datei" type="file" size="50" accept="*/*" required><br><br>
		   <input type="submit" value="Hochladen..">
		   
	   </form> Maximaler Upload: ';echo  ini_get('upload_max_filesize').'<br><br>'; 
	   
	   			//Dateien von Verzeichnis auflisten ohne Datenbankinfo
				//Kann man verwenden für tests
				
				
				# if(empty($_GET['id'])){
				# 	echo 'Einfacher Abruf der Dateinen aus dem Verzeichnis uploads/tom_vorlagen/*/* ohne Datenbankinfos<br><br>';
				# 	
				# 	$pfad_uploads = "uploads/tom_vorlagen/*/*";
				# 	$files = glob($pfad_uploads);
				# 	$i = 1;
				# 	foreach($files as $f) {
				# 		$i++;
				# 		echo '<a href="'.$f.'">'.$f.'</a><br />';
				# 	
				# 	}
				# echo '<br>'.$i.' Dokumente auf Dateiebene gefunden';
				# }
				
	   			//Test Ende
	   
	   
				
	  
			if(empty($_GET['id'])){
				$qry = qry("SELECT * FROM `dokumente` WHERE `kunden_id` = '0' ORDER BY zuordnung_tom_frage ASC");
				
			}else{
				
				$qry = qry("SELECT * FROM `dokumente` WHERE `kunden_id` = '0' AND `zuordnung_tom_frage` = ".$_GET['id']." ORDER BY zuordnung_tom_frage  DESC"); 
			}
        while($get = fetch($qry))
        {
          $class = ($color % 2) ? "first" : "second"; $color++;
   
          $delete = '<a href="'.$baseURL.'/tom.php?action=dokumente&dateiloeschen=1&datei_id='.$get['id'].'&datei_name='.$get['dateiname'].'&frage_id='.$get['zuordnung_tom_frage'].' "onclick="return(del(\'Soll die Datei wirklich gel&ouml;scht werden?\'))"> l&ouml;schen</a>';
          $dateiname_dl = '<a href="uploads/tom_vorlagen/'.$get['zuordnung_tom_frage'].'/'.$get['dateiname'].'">'.$get['dateiname'].'</a>';
          $dokumente .= '
            <tr class="'.$class.' hover" '.($color>1000?' style="display:none"':'').'>
              <td class="nowrap">'.date("d.m.y H:i", $get['datum']).' Uhr</td>
              <td class="nowrap">'.$dateiname_dl.'</td>
			  <td class="nowrap">'.$get['beschreibung'].'</td>
              <td class="nowrap">'.$get['zuordnung_tom_frage'].'</a></td>
              <td class="tiny center">'.$delete.'</td>
            </tr>
          ';
		  
        }
			
			if(empty($_GET['id'])){
				echo '<br /><br /><h1>Dokumente der Toms: '.$_GET['id'].' ['.cnt("`dokumente`", "WHERE `kunden_id` = '0'").']  </h1> <br>';
				
			}else{
				echo '<br /><br /><h1>Dokumente der Tom Nr: '.$_GET['id'].' ['.cnt("`dokumente`", "WHERE `kunden_id` = '0' AND `zuordnung_tom_frage` = ".$_GET['id']).']  </h1> <br>';
				
			}
?>
        
        <table class="hperc" cellspacing="1" id="users">
          <tr class="kat">
            <td>Angelgt am</a></td>
            <td>Name</a></td>
            <td>Beschreibung</a></td>
            <td>TOM-Frage</a></td>
            <td>Aktionen</td>
          </tr>
          <?=$dokumente?>
        </table>

        
     <?
			}else{
			  //UPLOAD
			  		$id = intval($_POST['zuordnung_tom_frage']);
			  		$dateiprefix = ($_POST['dateiprefix'] == "") ? "" : $_POST['dateiprefix']."_";
			  
				  if(!empty($_FILES['datei'])){
					mkdir('uploads/tom_vorlagen/'.$id, 0777, true);
					chmod('uploads/tom_vorlagen/'.$id, 0777);
					$path = "uploads/tom_vorlagen/".$id."/".$dateiprefix;
					$path = $path . basename( $_FILES['datei']['name']);
					if(move_uploaded_file($_FILES['datei']['tmp_name'], $path)) {
					  echo "Die Datei ".  basename( $_FILES['datei']['name']). " wurde hochgeladen";
					  							
						qry("INSERT INTO `dokumente`
      	         SET   `kunden_id`				= '0',
				 	   `zuordnung`				= '0',
					   `beschreibung`			= '".$_POST['beschreibung']."',
					   `datum`					= '".time()."',
					   `zuordnung_tom_frage`	= '".$_POST['zuordnung_tom_frage']."',
					   `dateiname`				= '".$dateiprefix.basename( $_FILES['datei']['name'])."'");
					   
					   
					   
						
						header('Location: '.$baseURL.'/tom.php?action=dokumente&id='.$_POST['zuordnung_tom_frage'].'');
						
					} else{
						echo "Keine Datei gewählt, oder ein anderer Fehler ist aufgetreten, versuches es nochmal;)";
						
					}
				}
			}  
	  
 
			  
	  break;
	  
//alles False, dann Tabelle anzeigen
 	  default;
	  
		  
	    $entrys = cnt("`tom_vorlagen`", "WHERE `id` != '0'"); 
		$qry = qry("SELECT tom_vorlagen.*, tom_themenblock.themenblock AS TB_Name 
							FROM tom_vorlagen 
							LEFT JOIN tom_themenblock 
							ON tom_vorlagen.themenblock_id = tom_themenblock.themenblock_id 
							ORDER BY tom_vorlagen.themenblock_id, tom_vorlagen.themenfrage_id ASC");
		
        while($get = fetch($qry))
        {
          $class = ($color % 2) ? "first" : "second"; $color++;
          
          $delete = '<a href="'.$baseURL.'/tom.php?action=delete&amp;id='.$get['id'].'" onclick="return(del(\'Soll die Frage und alle Dateinen von '.$get['id'].' wirklich gel&ouml;scht werden?\'))"> X</a>';
          $fragen .= '
            <tr class="'.$class.' hover" title="letzte Änderung '.(date("d.m.y", $get['geaendert']) == date("d.m.y") ? 'heute' : 'am '.date("d.m.y", $get['geaendert'])).' um '.date("H:i", $get['geaendert']).'h"'.($color>1000?' style="display:none"':'').'>
              <td class="nowrap">'.date("d.m.y H:i", $get['angelegt']).' Uhr</td>
              <!--<td class="nowrap"><a href="'.$baseURL.'/tom.php?nur_thema='.$get['TB_Name'].'">'.$get['TB_Name'].'</a></td>-->
			  <td class="nowrap">'.$get['TB_Name'].'</td>
              <td>'.$get['frage'].'</td>
              <td class="tiny center"><a href="'.$baseURL.'/tom.php?action=dokumente&amp;id='.$get['id'].'">Dokumente</a></td>
              <td class="tiny center"><a href="'.$baseURL.'/tom.php?action=edit&amp;id='.$get['id'].'">'.$name.' editieren</a></td>
              <td class="tiny center">'.$delete.'</td>
            </tr>
          ';
        }
?>
        <br>
        <table class="hperc" cellspacing="1" id="users">
          <tr class="kat">
            <td class="tiny">Angelgt am</td>
            <td>Themenblock</td>
            <td class="tiny">Frage</td>
            <td class="tiny" colspan="6">Aktionen</td>
          </tr>
          <?=$fragen?>
        </table>
          
<?
      break;
  }
  
  
  
?>






</body>
</html>
